Index: /trunk/ippToPsps/test/fulltest.sh
===================================================================
--- /trunk/ippToPsps/test/fulltest.sh	(revision 39020)
+++ /trunk/ippToPsps/test/fulltest.sh	(revision 39021)
@@ -20,23 +20,22 @@
 # mkgpc1.sh user localhost eam eam
 
-set mkgpc1       = 1
-set initdb       = 1
-set initscratch  = 1
-set initbatch    = 1
-set camqueue     = 1
-set cambatch     = 1
-set stackqueue   = 1
-set stackbatch   = 1
-set forcequeue   = 1
-set forcebatch   = 1
-set objectqueue  = 1
-set objectbatch  = 1
+set mkgpc1         = 1
+set initdb         = 1
+set initscratch    = 1
+set initbatch      = 1
+set camqueue       = 1
+set cambatch       = 1
+set stackqueue     = 1
+set stackbatch     = 1
+set forcequeue     = 1
+set forcebatch     = 1
+set objectqueue    = 1
+set objectbatch    = 1
 set forcedobjqueue = 1
 set forcedobjbatch = 1
-set diffqueue    = 1
-set diffbatch    = 1
-set diffobjqueue = 1
-set diffobjbatch = 1
-
+set diffqueue      = 1
+set diffbatch      = 1
+set diffobjqueue   = 1
+set diffobjbatch   = 1
 
 set options = "-test"
Index: /trunk/ippToPsps/test/mkgpc1.sh
===================================================================
--- /trunk/ippToPsps/test/mkgpc1.sh	(revision 39020)
+++ /trunk/ippToPsps/test/mkgpc1.sh	(revision 39021)
@@ -68,4 +68,39 @@
 endif
 
+if ("$1" == "forcedelete") then
+  if ($#argv < 4) goto usage;
+  set dbhost = $2
+  set dbname = $3
+  set dbuser = $4
+  if ($#argv == 5) then
+    set dbpass = "-p$5"
+  else 
+    set dbpass = "-p"
+  endif
+
+  (mysql -B -h $dbhost -u $dbuser $dbpass -e "show databases" | grep ^$dbname\$) >& /dev/null
+  if ($status) then
+    echo "database $dbname does not yet exist"
+    exit 0
+  endif
+
+  mysql -h $dbhost -u $dbuser $dbpass $dbname -e "describe ippToPspsFake" >& /dev/null
+  if ($status) then
+    echo "database does not contain ippToPspsFake, not deleting"
+    exit 1;
+  endif
+
+  set ntable = `mysql -B -h $dbhost -u $dbuser $dbpass $dbname -e "show tables" | wc -l`
+  echo ntable: $ntable
+  if ($ntable != 28) then
+    echo "warning: expected 28 lines (27 tables), but got $ntable; still deleting"
+  else
+    echo "database is valid, deleting"
+  endif
+
+  mysql -h $dbhost -u $dbuser $dbpass -e "drop database $dbname"
+  exit 0;
+endif
+
 usage:
   echo "USAGE: mkgpc1.sh (options)"
Index: /trunk/ippToPsps/test/mkgpc1data.dvo
===================================================================
--- /trunk/ippToPsps/test/mkgpc1data.dvo	(revision 39020)
+++ /trunk/ippToPsps/test/mkgpc1data.dvo	(revision 39021)
@@ -249,4 +249,5 @@
 
     ## this is not generating photcodes recognized as stack by relphot
+    if ($SMALLTEST && ($stkID != 1) && ($stkID != 4)) continue
 
     mkinput $offset $rawfile
@@ -331,4 +332,23 @@
     echo addstar -D SKY_DEPTH 4 -D CATDIR $catdir -D CAMERA simtest $cmffile -D CATFORMAT $2 -quick-airmass -xrad
     exec addstar -D SKY_DEPTH 4 -D CATDIR $catdir -D CAMERA simtest $cmffile -D CATFORMAT $2 -quick-airmass -xrad
+  end
+  
+  # add the forcedgalaxy files for the above warps:
+  for i 0 $stackdata:n
+    list word -split $stackdata:$i
+    $stkID = $word:0
+    $rawfile = $word:2\.txt
+    $cmffile = $word:2\.cmf
+    $offset = $word:3
+    $filter = $word:4
+
+    ## this is not generating photcodes recognized as stack by relphot
+    if ($SMALLTEST && ($stkID != 1) && ($stkID != 4)) continue
+
+    echo mkcmf -forcedgalaxy -photcode SIMTEST.$filter.ForcedWarp $rawfile $cmffile -extroot SkyChip -date 2008/1/1 -time $i\:00:00 -mjd 54466.0 -radec $RA $DEC -type $1 -imageID $stkID -sourceID 1 -tess_id $TESS_ID -skycell $SKYCELL
+    exec mkcmf -forcedgalaxy -photcode SIMTEST.$filter.ForcedWarp $rawfile $cmffile -extroot SkyChip -date 2008/1/1 -time $i\:00:00 -mjd 54466.0 -radec $RA $DEC -type $1 -imageID $stkID -sourceID 1 -tess_id $TESS_ID -skycell $SKYCELL
+
+    echo loadgalphot -D CATDIR $catdir $cmffile
+    exec loadgalphot -D CATDIR $catdir $cmffile
   end
 
